image: node:14.18.1-alpine3.12

stages:
  - deploy

before_script:
    - apk add py3-pip
    - pip3 install -U awscli
    - npm install -g serverless
    - npm install

deploy to develop:
  only:
    - develop
  stage: deploy
  script:
    - aws s3 cp s3://config-projects-dev/mutations-service/.env.development .env
    - sls deploy --stage dev
  environment: dev

deploy to master:
  only:
    - master
  stage: deploy
  script:
    - aws s3 cp s3://config-projects-prod/mutations-service/.env.production .env
    - sls deploy --stage prod
  environment: prod